Run of fresh-releases for vulkan-validationlayers

Try this locally (using the lintian-brush package):

debcheckout vulkan-validationlayers
cd vulkan-validationlayers
new-upstream
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
[2021-05-29 05:20:11] Running ['new-upstream']
[2021-05-29 05:20:11] Opening branch at https://salsa.debian.org/xorg-team/vulkan/vulkan-validationlayers.git/,branch=debian-unstable
[2021-05-29 05:20:12] Cached branch URL https://janitor.debian.net/git/vulkan-validationlayers,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/vulkan-validationlayers/": location is a repository.
[2021-05-29 05:20:23] Total 59613 (delta 47165), reused 58941 (delta 46493), pack-reused 0
[2021-05-29 05:23:18] Workspace ready - starting.
[2021-05-29 05:23:18] Using upstream branch https://github.com/KhronosGroup/Vulkan-ValidationLayers.git (guessed)
[2021-05-29 05:23:25] Total 3265 (delta 2275), reused 2354 (delta 2067), pack-reused 607
[2021-05-29 05:23:39] Using version string 1.2.176.1.
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:1.2.162.0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:vulkan-validationlayers-1.2.162.0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:v1.2.162.0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:v.1.2.162.0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:release-1.2.162.0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:1_2_162_0_release
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:1_2_162_0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:version-1.2.162.0
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:vulkan-validationlayers-1_2_162_0-release
[2021-05-29 05:23:39] No upstream upstream-revision format specified, trying tag:vulkan-validationlayers-v1.2.162.0
[2021-05-29 05:23:39] Old upstream version '1.2.162.0' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/KhronosGroup/Vulkan-ValidationLayers.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
[2021-05-29 05:23:39] Using uscan to look for the upstream tarball.
[2021-05-29 05:23:51] Searching for revision importing vulkan-validationlayers version 1.2.162.0 on packaging branch.

Full worker log